<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $user, $conf, $template;


if (isset($home))
{
	$page['section'] = 'categories';
}
elseif (isset($catid))
{
	$page['section'] = 'categories';
	$page['category']['id'] = $catid;
}
elseif (isset($permalink))
{
	$page['section'] = 'categories';
	$page['category']['id'] = $permalink;
}

// Vrification d'activation du plugin (page administration) OU activation de piclensWall
if (isset($page['section']))
{
	$cat = array();
	$pictures = array();

	$forbidden = get_sql_condition_FandF(
		  array
			(
			  'forbidden_categories' => 'category_id',
			  'visible_categories' => 'category_id',
			  'visible_images' => 'id'
			),
		  'AND'
	  );

	if (($page['section']) == 'categories')
	{
			// Accueil
		if(empty($page['category']) and $module['on_home']) 
		{
			// Page accueil
			// actif sur page accueil

			// Categories de premier niveau 
			$query = 'SELECT id,name,permalink FROM ' . CATEGORIES_TABLE
			.' WHERE id_uppercat is NULL';
			
			$result = pwg_query($query);

			while ($row = mysql_fetch_assoc($result))
			{
				if (!(in_array($row['id'], explode(',', $user['forbidden_categories']))))
				{
							array_push($cat, $row['id']);
						
				}
			}
			
			// Affichage sur l'accueil uniquement des categories selectionnees
			if ($module['on_home_global'] == 'selective')
			{
				$cats_selected = $module['cats'];//(!empty($module['cats']) ? unserialize($module['cats']) : array());
			
				foreach($cat as $i => $wcat)
				{
					if (!in_array($wcat, $cats_selected))
						unset($cat[$i]);
				}
			}
			// avec recursiite 
			elseif ($module['recurs_cats'] == 'true')
			{
				// recuperation des sous-categories (tous niveaux) de la categorie en cours.
				$subcat= get_subcat_ids($cat);
	
				// Verification droits des sous-categories
				foreach($subcat as $sscat)
				{
					if (!(in_array($sscat, explode(',', $user['forbidden_categories']))))
							array_push($cat, $sscat);
				}
			}

			$query = 'SELECT DISTINCT(img.id) AS IMGID, img.file AS IMGFILE, 
					  img.tn_ext, img.path, img.has_high, 
                      img.width AS IMGWIDTH, img.height AS IMGHEIGHT, 
					  img.name AS IMGNAME, img.comment AS IMGDESC,
					  img.author AS IMGAUTHOR, img.path AS IMGPATH, 
					  cat.id AS CATID, cat.name AS CATNAME,
					  cat.comment AS CATDESC, cat.dir AS CATDIR'
			.' FROM ' . IMAGES_TABLE.' AS img'
			.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
			.' INNER JOIN '.CATEGORIES_TABLE.' AS cat ON ic.category_id = cat.id'
			.' WHERE ic.category_id IN ('.implode(',', $cat).')'
			// Verif droits (niveaux) de l'utilisateur sur les images 
			.' AND img.level <='.$user['level'].' '
			// Choix du critere de tri d'affichage
			.(isset($module_data['Order']) ? 	$module_data['Order'] :
											str_replace(' id', ' IMGID', $conf['order_by_inside_category']))
			.'';
				
		}
			
		// Page category et actif sur categories
		elseif (isset($page['category']) and $module['on_cats'])
		{
			check_restrictions($page['category']['id']);
	
			//  recherche de toutes les photos de la categorie (incluant les photos des sous-categories si necessaire)
			$selectionID = $page['category']['id'];


			array_push($cat, $selectionID);


			// Si recursivite activee 
			if ($module['recurs_cats'] == 'true')
			{
				// recuperation des sous-categories (tous niveaux) de la categorie en cours.
				$subcat= get_subcat_ids(array($selectionID));

				// Verification droits des sous-categories
				foreach($subcat as $sscat)
				{
					if (!(in_array($sscat, explode(',', $user['forbidden_categories']))))
						array_push($cat, $sscat);
				}
			
			}
					
			$query = 'SELECT DISTINCT(img.id) AS IMGID, img.file AS IMGFILE, 
					  img.tn_ext, img.path, img.has_high, 
                      img.width AS IMGWIDTH, img.height AS IMGHEIGHT, 
					  img.name AS IMGNAME, img.comment AS IMGDESC,
					  img.author AS IMGAUTHOR, img.path AS IMGPATH, 
					  cat.id AS CATID, cat.name AS CATNAME,
					  cat.comment AS CATDESC, cat.dir AS CATDIR'
			.' FROM ' . IMAGES_TABLE.' AS img'
			.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
			.' INNER JOIN '.CATEGORIES_TABLE.' AS cat ON ic.category_id = cat.id'
			.' WHERE ic.category_id IN ('.implode(',', $cat).')'
			// Verif droits (niveaux) de l'utilisateur sur les images 
			.' AND img.level <='.$user['level'].' '
			// Choix du critere de tri d'affichage
			.(isset($module_data['Order']) ? 	$module_data['Order'] :
											str_replace(' id', ' IMGID', $conf['order_by_inside_category']))
			.'';

		}
	}
		

	$flashgal_extdesc_hidden = '<!--hidden-->';	
		// Si au moins une image rcupre (une catgorie ou une image prsente)
	if (count($cat)!=0)
	{
		$result = pwg_query($query);
		while ($row = mysql_fetch_assoc($result))
		{
			// Prise en compte images et galeries en hidden
			if (   !(substr_count($row['IMGNAME'],  $flashgal_extdesc_hidden)) 
				&& ((isset($row['CATNAME']) ? !(substr_count($row['CATNAME'],  $flashgal_extdesc_hidden)) : true))
				)
		
			array_push($pictures, $row);
		}
	}	
	
	// Fin requetes recherches photos dans $pictures
	$module['datas'] = (!empty($module['datas']) ? unserialize($module['datas']) : array(''));

	foreach ($pictures as $row)
	{

	
		foreach ($module_data['datas'] as $keydata => $valuedata)
		{
			if ($valuedata)
{
			include (FLASHGAL_PATH.'include/config_param.inc.php');

			$patterns = array();
			$replacements = array();
			foreach ($flashgal_parse as $key => $value)
			{
				array_push($patterns, $key); 
				array_push($replacements, $value);
			}

//			echo "module".$module['datas'][$keydata];
			$picture[$keydata] = str_replace($patterns, $replacements, $module['datas'][$keydata]);
//				$picture[$keydata] =  parse($module['datas'][$keydata], $row);
}
			else
				$picture[$keydata] = '';
		}
		$template->append('ImageNode',array('url' => $picture['img_URLNormal'],'name' => $picture['img_name']));

	}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'modules/prometeus/js/prometeus.js"></script>'));
	
	
}
?>